unnecessary layers

Discussion in 'AutoCAD' started by Michal Peer, Mar 18, 2006.

  1. Michal Peer

    Michal Peer Guest

    How can I get rid of unnecessary layers?
    delete & purge are impossible inspite of the fact that there is no object using these layers.
    Thank u
    Michal
     
    Michal Peer, Mar 18, 2006
    #1
  2. Michal Peer

    longshot Guest

    nestled xrefs & blocks or possibly on layouts not in play.
    How can I get rid of unnecessary layers?
    delete & purge are impossible inspite of the fact that there is no object using these layers.
    Thank u
    Michal
     
    longshot, Mar 19, 2006
    #2
  3. Michal Peer

    laptop Guest

    try wblocking the parts of the drawing you actually want to keep.
    nestled xrefs & blocks or possibly on layouts not in play.
    How can I get rid of unnecessary layers?
    delete & purge are impossible inspite of the fact that there is no object using these layers.
    Thank u
    Michal
     
    laptop, Mar 19, 2006
    #3
  4. Michal Peer

    R.K. McSwain Guest

    Not true. Something is referencing these layers or they would be purgable.

    http://www.cadforum.cz/cadforum_en/qaID.asp?tip=1292

    http://tinyurl.com/kqszs

    If all else fails, consider SuperPurge from www.manusoft.com
    It will purge the layers you desire along with anything referencing
    those layers.
     
    R.K. McSwain, Mar 19, 2006
    #4
  5. Michal Peer

    Dees Guest

    With much hesitation,

    Here is an autolisp routine that I found on Cadalyst.com that will purge the
    layer but beware it does

    REMOVE the Layer and ANYTHING that might still be on it. As it states

    "USE VERY CAREFULLY!" as it WILL delete anything remaining on the layer.

    Visible or not!

    I'm not sure either if this could leave the drawing in an unstable state.

    There are others more knowledgable than I in this ng that could address that
    aspect of the program.



    ;Tip1466.LSP: ELAY.LSP Erase Layer (c)1998, Leland Leahy

    ;SIMPLE ROUTINE TO ERASE EVERYTHING ON A PICKED LAYER

    ;VERY HANDY YET BE CAREFUL =)

    (defun c:ELAY (/ ENT SS SS1)

    (prompt "\nSelect layer...")

    (setq

    ent (entsel)

    ss (CDR (ASSOC 8 (ENTGET (CAR ent))))

    SS1 (SSGET "X" (LIST (CONS 8 SS)))

    )

    (setvar "cmdecho" 0)

    (command ".ERASE" SS1 "")

    (setvar "cmdecho" 1)

    (prin1)

    )
     
    Dees, Apr 6, 2006
    #5
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.